%define name		countrycodes
%define version		1.0.3
%define release		3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Country code finder
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.grigna.com/diego/linux/countrycodes
License:	GPL
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Country codes is an ISO 3166 country code finder. It is mainly used to
determine to what country a domain name belongs. It also allows
searching by 2 or 3 letter codes, country number, and country name.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
cd src && make CCOPTS="$RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 src/iso3166 $RPM_BUILD_ROOT%{_bindir}/iso3166
install -m 644 doc/iso3166.1.in $RPM_BUILD_ROOT%{_mandir}/man1/iso3166.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/Changelog doc/COPYING doc/INSTALL doc/LSM doc/README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.3-3mdk
- rebuild

* Tue Jul 2 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.3-2mdk
- corrected URL

* Sat Feb 23 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.3-1mdk
- first mdk release
